Options

Get option quote

get
https://api.snaptrade.com/api/v1/accounts/{accountId}/quotes/options

Returns a real-time quote for a single option contract. The option contract is specified using in the 21 character OCC format. For example AAPL 251114C00240000 represents a call option on AAPL expiring on 2025-11-14 with a strike price of $240. For more information on the OCC format, see here

Execute an API Request

Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Query
userIdstringrequired

SnapTrade User ID. This is chosen by the API partner and can be any string that is a) unique to the user, and b) immutable for the user. It is recommended to NOT use email addresses for this property because they are usually not immutable.

userSecretstringrequired

SnapTrade User Secret. This is a randomly generated string and should be stored securely. If compromised, please rotate it via the rotate user secret endpoint.

symbolstringrequired

The OCC-formatted option symbol.

Authorization
Request
Installation
$
npm install snaptrade-typescript-sdk
1
Loading...

Response fields

object

Real-time quote for a single option contract.

symbolstring

The OCC-formatted option symbol.

bid_pricenumber

The best bid price for the option contract.

bid_sizeinteger

The number of contracts available at the bid price.

ask_pricenumber

The best ask price for the option contract.

ask_sizeinteger

The number of contracts available at the ask price.

last_pricenumber

The price of the last trade for the option contract.

last_sizeinteger

The number of contracts in the last trade.

open_interestinteger

The total number of outstanding contracts.

volumeinteger

The total number of contracts traded during the current session.

implied_volatilitynumber

The implied volatility of the option contract.

underlying_pricenumber

The current price of the underlying security.

timestampstring (format: date-time) or null

The timestamp of the quote.

1
{
2
"symbol": "AAPL 251219C00150000",
3
"bid_price": 3.5,
4
"bid_size": 10,
5
"ask_price": 3.7,
6
"ask_size": 15,
7
"last_price": 3.6,
8
"last_size": 5,
9
"open_interest": 1200,
10
"volume": 350,
11
"implied_volatility": 0.32145678,
12
"underlying_price": 150.25,
13
"timestamp": "2026-01-15T14:30:00Z"
14
}